Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.nativewindow.x11
Class X11GraphicsConfiguration

    java.lang.Object
      javax.media.nativewindow.DefaultGraphicsConfiguration
          javax.media.nativewindow.x11.X11GraphicsConfiguration

All Implemented Interfaces:
  Cloneable, AbstractGraphicsConfiguration

    public class X11GraphicsConfiguration

extends DefaultGraphicsConfiguration
implements Cloneable

Encapsulates a graphics configuration, or OpenGL pixel format, on X11 platforms. Objects of this type are returned from `GraphicsConfigurationFactory.chooseGraphicsConfiguration()` on X11 platforms when toolkits other than the AWT are being used.

Field Summary

Fields inherited from class javax.media.nativewindow.DefaultGraphicsConfiguration
`capabilitiesChosen, capabilitiesRequested`

Constructor Summary
`X11GraphicsConfiguration(X11GraphicsScreen screen, Capabilities capsChosen, Capabilities capsRequested, com.sun.nativewindow.impl.x11.XVisualInfo info)`

Method Summary
`Object` | `clone()`
`long` | `getVisualID()`
`com.sun.nativewindow.impl.x11.XVisualInfo` | `getXVisualInfo()`
`protected void` | `setXVisualInfo(com.sun.nativewindow.impl.x11.XVisualInfo info)`
`String` | `toString()`

Methods inherited from class javax.media.nativewindow.DefaultGraphicsConfiguration
`getChosenCapabilities, getNativeGraphicsConfiguration, getRequestedCapabilities, getScreen, setChosenCapabilities, setScreen`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X11GraphicsConfiguration

    public X11GraphicsConfiguration(X11GraphicsScreen screen,
                                    Capabilities capsChosen,
                                    Capabilities capsRequested,
                                    com.sun.nativewindow.impl.x11.XVisualInfo info)

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `DefaultGraphicsConfiguration`

### getXVisualInfo

    public com.sun.nativewindow.impl.x11.XVisualInfo getXVisualInfo()

### setXVisualInfo

    protected void setXVisualInfo(com.sun.nativewindow.impl.x11.XVisualInfo info)

### getVisualID

    public long getVisualID()

### toString

    public String toString()

  Overrides:
    `toString` in class `DefaultGraphicsConfiguration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.